using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "Actions/BuildBarrier")]
public class ActionBuildBarrier : ActionAsset {

	public BarrierTile barrierTilePrefab;

	public override void Action(Tile targetTile)
	{
		base.Action(targetTile);

		BarrierTile barrier = TileManager.Instance.Build(targetTile, barrierTilePrefab) as BarrierTile;
	}
}
